Bug 1157192 - (CVE-2019-19061) VUL-1: CVE-2019-19061: kernel-source: A memory leak in the adis_update_scan_mode_burst() function in drivers/iio/imu/adis_buffer.c allows attackers to cause a denial of service (memory consumption)
(CVE-2019-19061)
VUL-1: CVE-2019-19061: kernel-source: A memory leak in the adis_update_scan_m...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/247499/
CVSSv2:NVD:CVE-2019-19061:7.8:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-19 14:34 UTC by Wolfgang Frisch
Modified: 2022-07-21 17:44 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Frisch 2019-11-19 14:34:35 UTC
CVE-2019-19061

A memory leak in the adis_update_scan_mode_burst() function in
drivers/iio/imu/adis_buffer.c in the Linux kernel before 5.3.9 allows attackers
to cause a denial of service (memory consumption), aka CID-9c0530e898f3.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-19061
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-19061.html
https://github.com/torvalds/linux/commit/9c0530e898f384c5d279bfcebd8bb17af1105873
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19061
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.3.9
Comment 2 Takashi Iwai 2019-11-19 14:46:05 UTC
The relevant code is found only in SLE15-SP2 and later, and SLE15-SP2 already got the fix via stable tree.

Reassigned back to security team.
Comment 3 Wolfgang Frisch 2019-11-27 15:00:20 UTC
Thanks for looking into this.